package com.hp.user.client.service;

import com.hp.user.client.entity.DataResult;
import com.hp.user.client.entity.ElectricianGroupVO;
import com.hp.user.client.entity.PageQuery;
import com.hp.user.client.entity.PageResult;
import com.hp.user.client.entity.Result;

public interface ElectricianGroupService {
	
	/**
	 * 添加班组
	 * @param electricianGroup 班组信息
	 * @return
	 */
	public Result createElectricianGroup(ElectricianGroupVO electricianGroup);
	
	/**
	 * 修改班组
	 * @param electricianGroup 班组信息
	 * @return
	 */
	public Result updateElectricianGroup(ElectricianGroupVO electricianGroup);
	
	/**
	 * 根据id查询班组信息
	 * @param electricianGroupId 班组id
	 * @return
	 */
	public DataResult<ElectricianGroupVO> queryElectricianGroupById(String electricianGroupId);
	
	/**
	 * 根据条件查询班组
	 * @param query 查询条件
	 * @return
	 */
	public PageResult<ElectricianGroupVO> queryElectricianGroupByQuey(PageQuery query);

}
