package com.hp.user.service.dao;

import com.hp.user.service.entity.ElectricianGroup;

import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Select;

import com.baomidou.mybatisplus.core.conditions.Wrapper;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.toolkit.Constants;
import com.baomidou.mybatisplus.extension.plugins.PaginationInterceptor;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;

/**
 * <p>
 * 班组 Mapper 接口
 * </p>
 *
 * @author yeqid
 * @since 2020-12-04
 */
public interface ElectricianGroupMapper extends BaseMapper<ElectricianGroup> {
	
	@Select("select a.*,b.name as leaderName from tb_electrician_group a left join tb_electrician b on (a.group_leader = b.electrician_id) where a.electrician_group_id = #{id}")
	public ElectricianGroup queryElectricianGroupById(@Param("id") String electricianGroupId);
	
	@Select("select * from v_electrician_group ${ew.customSqlSegment}")
	public <E> Page<ElectricianGroup> queryElectricianGroupByQuey(E page,@Param(Constants.WRAPPER) Wrapper<ElectricianGroup> queryWrapper);

}
