package com.hp.user.service.entity;

import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import java.io.Serializable;
import java.util.Date;

import lombok.Data;
import lombok.experimental.Accessors;

/**
 * <p>
 * 电工表
 * </p>
 *
 * @author yeqid
 * @since 2020-12-02
 */
@Data
@Accessors(chain = true)
@TableName("tb_electrician")
public class Electrician implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 电工id
     */
    @TableId(value = "electrician_id")
    private String electricianId;

    /**
     * 关联用户id
     */
    private String userId;

    /**
     * 服务商id
     */
    private String serviceProviderId;

    /**
     * 电工姓名
     */
    private String name;
    /**
     * 手机号
     */
    private String phone;
    
    /**
     * 证书字典表id，多个用逗号隔开
     */
    private String dictionariesId;
    
    /**
     * 证书oss,多个用逗号隔开
     */
    private String certificateUrl;

    /**
     * 备注
     */
    private String remarks;
    
    /**
     * 电工状态；0:离岗；1：在岗
     */
    private Integer status;

    /**
     * 创建时间
     */
    private Date sysCreateTime;

    /**
     * 创建者
     */
    private Long sysCreator;

    /**
     * 修改时间
     */
    private Date sysUpdateTime;

    /**
     * 修改者
     */
    private Long sysUpdater;

    /**
     * 是否删除，0（default）/1：未删除/删除
     */
    private Boolean sysDeleted;
    
    public Electrician() {}
    
    public Electrician(String electricianId,String name,String dictionariesId,String certificateUrl,String remarks,Integer status) {
    	this.electricianId = electricianId;
    	this.name = name;
    	this.dictionariesId = dictionariesId;
    	this.certificateUrl = certificateUrl;
    	this.remarks = remarks;
    	this.status = status;
    }


}
